javax.ejb

## Interface EJBMetaData

-     public interface EJBMetaData

  The EJBMetaData interface allows a client to obtain the enterprise bean's meta-data information.

  The meta-data is intended for development tools used for building applications that use deployed enterprise beans, and for clients using a scripting language to access the enterprise bean.

  Note that the EJBMetaData is not a remote interface. The class that implements this interface (this class is typically generated by container tools) must be serializable, and must be a valid RMI/IDL value type.

  Since:
    EJB 1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EJBHome` | `getEJBHome()` Obtain the remote home interface of the enterprise bean.
    `Class` | `getHomeInterfaceClass()` Obtain the class object for the enterprise bean's remote home interface.
    `Class` | `getPrimaryKeyClass()` Obtain the class object for the enterprise bean's primary key class.
    `Class` | `getRemoteInterfaceClass()` Obtain the class object for the enterprise bean's remote interface.
    `boolean` | `isSession()` Test if the enterprise bean's type is "session".
    `boolean` | `isStatelessSession()` Test if the enterprise bean's type is "stateless session".

- - ### Method Detail

    - #### getEJBHome

          EJBHome getEJBHome()

      Obtain the remote home interface of the enterprise bean.
      Returns:
        the remote home interface of the enterprise bean.

    - #### getHomeInterfaceClass

          Class getHomeInterfaceClass()

      Obtain the class object for the enterprise bean's remote home interface.
      Returns:
        the class object for the enterprise bean's remote home interface.

    - #### getRemoteInterfaceClass

          Class getRemoteInterfaceClass()

      Obtain the class object for the enterprise bean's remote interface.
      Returns:
        the class object for the enterprise bean's remote interface.

    - #### getPrimaryKeyClass

          Class getPrimaryKeyClass()

      Obtain the class object for the enterprise bean's primary key class.
      Returns:
        the class object for the enterprise bean's primary key class.

    - #### isSession

          boolean isSession()

      Test if the enterprise bean's type is "session".
      Returns:
        True if the type of the enterprise bean is session bean.

    - #### isStatelessSession

          boolean isStatelessSession()

      Test if the enterprise bean's type is "stateless session".
      Returns:
        True if the type of the enterprise Bean is stateless session.
      Since:
        EJB 1.1

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.